grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.18-150-gc265da1


From: Paul Eggert
Subject: grep branch, master, updated. v2.18-150-gc265da1
Date: Sun, 18 May 2014 00:29:05 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  c265da19fcbe863c33c40b20cee71b1ad3053c17 (commit)
      from  5dc3af2806d21455b818be3f9da26c372e4a7f8d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=c265da19fcbe863c33c40b20cee71b1ad3053c17


commit c265da19fcbe863c33c40b20cee71b1ad3053c17
Author: Norihiro Tanaka <address@hidden>
Date:   Sun May 18 07:45:40 2014 +0900

    tests: add test case for newline-count fix
    
    * tests/count-newline: New test.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 626b25a..82a6d2d 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -49,6 +49,7 @@ TESTS =                                               \
   char-class-multibyte                         \
   char-class-multibyte2                                \
   context-0                                    \
+  count-newline                                        \
   dfa-coverage                                 \
   dfa-heap-overrun                             \
   dfaexec-multibyte                            \
diff --git a/tests/count-newline b/tests/count-newline
new file mode 100755
index 0000000..fc8e9a8
--- /dev/null
+++ b/tests/count-newline
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Test that newline is counted correctly even when the transition
+# table is rebuilt.
+
+# Copyright 2014 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf '%1024d\nb\n' 0 >in || framework_failure_
+
+grep -f in in >out || fail=1
+
+compare in out || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/Makefile.am                                  |    1 +
 .../{unibyte-negated-circumflex => count-newline}  |   13 +++++++------
 2 files changed, 8 insertions(+), 6 deletions(-)
 copy tests/{unibyte-negated-circumflex => count-newline} (79%)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]